Submit order to session
Endpoints
Submit Order to Session
Receive orders when merchants scan your app user’s QR code
POST
Submit order to session
This endpoint receives orders when a merchant scans your user’s QR code. The
sessionId identifies which user will pay.Flow
- User opens your app and requests to pay
- You generate a
sessionIdand display a QR code - Merchant scans the QR code
- Merchant POSTs their signed order to this endpoint
- You validate the order and prompt user for confirmation
- User confirms, you process payment
- You send proof to merchant’s webhook
Implementation
Session Management
When your mobile app user requests to display a qrcode for the merchant to scan generate secure, single-use sessions and generate a qrCode.Processing Payment After User Confirms
If your user needs to confirm orders, implement an internal endpoint to process confirmations.Settlement
After collecting payment from the user, you must settle with the merchant through a trusted gateway. See the Settlement Guide for the complete details.Settlement Guide
Learn about direct settlement, partner reserves, and third-party settlement
Headers
Caller's OCID
Unix timestamp in seconds
Unique request identifier
secp256k1 ECDSA signature
Path Parameters
Temporary session ID from QR code that identifies the paying user
Response
Order received, payment processing